[Japanese]

JVNDB-2014-000114

FileMaker Pro fails to verify SSL server certificates

Overview

FileMaker Pro contains a function to encrypt communications with the FileMaker Server. FileMaker Pro fails to verify the SSL server certificate.

NOTE: This vulnerability exists because of an incomplete fix for CVE-2013-2319.
CVSS Severity (What is CVSS?)

Base Metrics: 4.0 (Medium) [IPA Score]
  • Access Vector: Network
  • Access Complexity: High
  • Authentication: None
  • Confidentiality Impact: Partial
  • Integrity Impact: Partial
  • Availability Impact: None

Affected Products


FileMaker, Inc
  • FileMaker Pro versions 12 and earlier
  • FileMaker Pro Advanced versions 12 and earlier

FileMaker Pro 12 and FileMaker Pro Advanced 12 did not address the vulnerability. The vulnerability has been addressed in FileMaker Pro 13 and FileMaker Pro Advanced 13.
Impact

A man-in-the-minddle attack may allow an attacker to eavesdrop on an encrypted communication.
Solution

[Upgrade the software]
Upgrade to the latest version according to the information provided by the developer.
Vendor Information

FileMaker, Inc
CWE (What is CWE?)

  1. No Mapping(CWE-Other) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2014-5321
References

  1. JVN : JVN#85812843
  2. JVN iPedia : JVNDB-2013-000048
  3. National Vulnerability Database (NVD) : CVE-2014-5321
Revision History

[2014/09/18]
  Web page was published
[2014/09/24]
  References : Content was added